haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Field

Description

Parsing of objectstructunion fields.

# Documentation

data Field Source #

Constructors

Field |

Fields

- fieldName :: Text
- fieldVisible :: Bool
- fieldType :: Type
- fieldIsPointer :: Maybe Bool

  `Nothing` if not known.

- fieldCallback :: Maybe Callback
- fieldOffset :: Int
- fieldFlags :: [FieldInfoFlag]
- fieldDocumentation :: Documentation
- fieldDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Field Source # |
Instance details Defined in Data.GI.GIR.Field Methods showsPrec :: Int -> Field -> ShowS Source # show :: Field -> String Source # showList :: [Field] -> ShowS Source #

data FieldInfoFlag Source #

#### Instances

Instances details

Show FieldInfoFlag Source # |
Instance details Defined in Data.GI.GIR.Field Methods showsPrec :: Int -> FieldInfoFlag -> ShowS Source # show :: FieldInfoFlag -> String Source # showList :: [FieldInfoFlag] -> ShowS Source #

parseFields :: Parser [Field] Source #